condor_master(1)

Name

condor_masterThe master HTCondor Daemon

Synopsis
condor_master

Description

This daemon is responsible for keeping all the rest of the HTCondor daemons running on each machine in your pool. It spawns the other daemons, and periodically checks to see if there are new binaries installed for any of them. If there are, the condor_masterwill restart the affected daemons. In addition, if any daemon crashes, the condor_masterwill send e-mail to the HTCondor Administrator of your pool and restart the daemon. The condor_masteralso supports various administrative commands that let you start, stop or reconfigure daemons remotely. The condor_masterwill run on every machine in your HTCondor pool, regardless of what functions each machine are performing. Additionally, on Linux platforms, if you start the condor_masteras root, it will tune (but never decrease) certain kernel parameters important to HTCondor's performance.

The DAEMON_LISTconfiguration macro is used by the condor_masterto provide a per-machine list of daemons that should be started and kept running. For daemons that are specified in the DC_DAEMON_LISTconfiguration macro, the condor_masterdaemon will spawn them automatically appending a -fargument. For those listed in DAEMON_LIST, but not in DC_DAEMON_LIST, there will be no -fargument.

Options

-n name

    Provides an alternate name for the condor_masterto override that given by the MASTER_NAMEconfiguration variable.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0. 7